#
# spec file for package apassl (Version 1.2.6)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ssleay adabas

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         apassl
Release:      7
Copyright:    1995-1997 The Apache Group. ; 1995-98 Ben Laurie
Group: 
Provides:     
Requires: 
Conflicts:    apache
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.2.6
Summary:      apassl - Apache with SSL and PHP3 support
Source0:	apache_1.2.6.tar.gz
Source1:	apache_1.2.6+ssl_1.17.tar.gz
Source2:	exassl.tgz
Source3:        manual.tar.gz
Source4:	php-3.0.tar.gz3
Source5:        sbox-0.95.tar.gz
Source6:        contrib.tgz
Patch:		apassl.dif
# ---------------------------------------------------------------------------
%prep
# ---------------------------------------------------------------------------
%setup -n apache_1.2.6
%setup -n apache_1.2.6 -c apache_1.2.6 -a 1 -T -D
%setup -n apache_1.2.6 -c apache_1.2.6 -a 2 -T -D
%setup -n apache_1.2.6/manual -c apache_1.2.6/manual -a 3 -T -D
%setup -n apache_1.2.6 -c apache_1.2.6 -a 4 -T -D
%setup -n apache_1.2.6 -c apache_1.2.6 -a 5 -T -D
%setup -n apache_1.2.6 -c apache_1.2.6 -a 6 -T -D
# configure PHP3 and patch SSL
( cd php-3.0 ; ./configure --with-adabas=/usr/lib/adabas --with-apache=`pwd`/.. ; cd .. )
( patch -p1 -s < SSLpatch || exit 0 )
# make sbox
( cd sbox-0.95 ; make all ; cd ..)
# ---------------------------------------------------------------------------
%patch
# ---------------------------------------------------------------------------
# ---------------------------------------------------------------------------
%build
# ---------------------------------------------------------------------------
# build apache
mkdir -p /u/ben/work/
( cd /u/ben/work/ ; ln -s /usr/ssl scuzzy-ssleay8 )
cp /usr/ssl/lib/lib* src/
cd src &&  sh Configure && cd ..
# build php3
cd php-3.0 && make all && cd ..
cd php-3.0 && make install && cd ..
#
# people demand this
#
gcc -O6 -fomit-frame-pointer -pipe -o logresolve support/logresolve.c
gcc -O6 -fomit-frame-pointer -pipe -o htpasswd   support/htpasswd.c
( make -C src )
#
# the order of libraries is important, the Makefile cannot handle 
# this properly, sigh :(
#
cd src && gcc -o httpsd alloc.o http_main.o http_core.o http_config.o http_request.o http_log.o http_protocol.o rfc1413.o util.o util_script.o modules.o buff.o md5c.o util_md5.o explain.o http_bprintf.o util_date.o util_snprintf.o gcacheclient.o gcachecommon.o mod_env.o mod_log_config.o mod_mime.o mod_negotiation.o mod_include.o mod_dir.o mod_cgi.o mod_asis.o mod_imap.o mod_actions.o mod_userdir.o modules/proxy/libproxy.a mod_alias.o mod_rewrite.o mod_access.o mod_auth.o mod_auth_anon.o mod_auth_db.o mod_auth_dbm.o mod_digest.o mod_cern_meta.o mod_expires.o mod_headers.o apache_ssl.o mod_usertrack.o mod_browser.o mod_php3.o regex/libregex.a -L/u/ben/apache/SSLeay-0.9.0-ben -lssl -lcrypto -L/usr/ssl/lib/ -L. -L/usr/lib/adabas/lib -lphp3 /usr/lib/adabas/lib/odbclib.a -ldb -lgdbm -ldl -lm -lsqlrte -lsqlptc && cd ..
rm -f /u/ben/work/scuzzy-ssleay8
rm -fr /u/
# ---------------------------------------------------------------------------
%install
# ---------------------------------------------------------------------------
test -d /usr/local/httpsd               || mkdir -p /usr/local/httpsd
test -d /usr/local/httpsd/htdocs        || mkdir -p /usr/local/httpsd/htdocs
test -d /usr/local/httpsd/htdocs/manual || mkdir -p /usr/local/httpsd/htdocs/manual
test -d /usr/local/httpsd/icons         || mkdir -p /usr/local/httpsd/icons
test -d /usr/local/httpsd/cgi-bin       || mkdir -p /usr/local/httpsd/cgi-bin
test -d /etc/httpsd                     || mkdir -p /etc/httpsd
test -d /usr/sbin                       || mkdir -p /usr/sbin
install -s src/httpsd logresolve htpasswd /usr/sbin
install -m 644 icons/* /usr/local/httpsd/icons
install -m 644 conf/access.conf-dist /etc/httpsd/access.conf
install -m 644 conf/httpd.conf-dist  /etc/httpsd/httpd.conf
install -m 644 conf/mime.types       /etc/httpsd/mime.types
install -m 644 conf/srm.conf-dist    /etc/httpsd/srm.conf
install -m 644 README.linux          /usr/local/httpsd/README.linux
install cgi-bin/{printenv,test-cgi}  /usr/local/httpsd/cgi-bin/
mkdir -p /usr/local/httpsd/htdocs/manual
( cd  htdocs ; tar cf - manual | ( cd /usr/local/httpsd/htdocs ; tar xf - ))
install -d /sbin/init.d
install -m 744 rc.httpsd /sbin/init.d/apassl
test -d /sbin/init.d/rc2.d || mkdir /sbin/init.d/rc2.d
test -d /sbin/init.d/rc3.d || mkdir /sbin/init.d/rc3.d
ln -sf ../apassl /sbin/init.d/rc2.d/S20apassl
ln -sf ../apassl /sbin/init.d/rc2.d/K20apassl
ln -sf ../apassl /sbin/init.d/rc3.d/S20apassl
ln -sf ../apassl /sbin/init.d/rc3.d/K20apassl
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.apassl /var/adm/fillup-templates/rc.config.apassl
test -d /usr/local/httpsd/htdocs/gif	|| mkdir -p /usr/local/httpsd/htdocs/gif
install -m 644 example/*.gif /usr/local/httpsd/htdocs/gif
test -d /usr/doc/packages/apassl || mkdir -p /usr/doc/packages/apassl
cp certificate.sh CHANGES* KEYS README* LICENCE* SECURITY ABOUT_APACHE ben.pgp.key.asc EXTRAS.SSL /usr/doc/packages/apassl
test -d /usr/man/man8 || mkdir -p /usr/man/man8
install -m 644 support/httpd.8 /usr/man/man8
chown -R 0.0 /usr/local/httpsd
chown -R 0.0 /etc/httpsd
# install PHP3 examples and documentation
test -d /usr/doc/packages/apassl/php3 || mkdir -p /usr/doc/packages/apassl/php3
cp -avr php-3.0/doc       /usr/doc/packages/apassl/php3/
cp -avr php-3.0/examples/ /usr/doc/packages/apassl/php3/
cp -avr manual            /usr/doc/packages/apassl/php3/
cp -v sbox-0.95/sbox.html sbox-0.95/sbox.txt /usr/doc/packages/apassl/
cp -r contrib /usr/doc/packages/apassl/
mkdir -p /opt/adabas/wrk/wwwrun
chown -R wwwrun.wwwadmin  /opt/adabas/wrk/wwwrun
mkdir -p /var/log/0
chown -R wwwrun.wwwadmin /var/log/0
install -o root -g bin -m 4111 -s sbox-0.95/sbox /usr/local/httpsd/cgi-bin
# clean up RPM related stuff
rm -f `find /usr/local/httpsd/ -type f -name \*.orig`
rm -f `find /usr/doc/packages/apassl/php3/ -type f -name \*.orig`
Check
# ---------------------------------------------------------------------------
%files
# ---------------------------------------------------------------------------
%config /etc/httpsd/access.conf
%config /etc/httpsd/httpd.conf
%config /etc/httpsd/mime.types
%config /etc/httpsd/srm.conf
%doc /usr/doc/packages/apassl
%doc /usr/man/man8/httpd.8.gz
%dir /var/log/0
%dir /opt/adabas/wrk/wwwrun
/var/adm/fillup-templates/rc.config.apassl
/sbin/init.d/apassl
/sbin/init.d/rc2.d/S20apassl
/sbin/init.d/rc2.d/K20apassl
/sbin/init.d/rc3.d/S20apassl
/sbin/init.d/rc3.d/K20apassl
/usr/sbin/httpsd
/usr/sbin/logresolve
/usr/sbin/htpasswd
/usr/local/httpsd
# ---------------------------------------------------------------------------
%post 
# ---------------------------------------------------------------------------
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.apassl
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and etc/rc.config.apassl and update by hand."
fi
mkdir -p var/log
touch var/log/httpsd.access_log
touch var/log/httpsd.error_log
if test -e httpd; then
   mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/apassl-changes
Hi,
die Apache-Konfiguration hat sich (wiedermal...) veraendert. Die
den Server betreffenden Dateien finden sich jetzt in folgenden
Verzeichnissen:
        /etc/httpsd                     -> Konfigurationsdateien
        /var/log                        -> Protokolldateien
        /var/run/httpsd.pid             -> PID des Servers
        /usr/local/httpsd               -> Server-Root
        /sbin/init.d/apassl             -> Start/Stop-Skript
The Apache-Configuration has changed. Please look into these directories
to find server related files:
        /etc/httpsd                      -> Configfiles
        /var/log                         -> Logfiles
        /var/run/httpsd.pid              -> Server-PID
        /usr/local/httpsd                -> Server-Root
        /sbin/init.d/apassl              -> Start/Stop-Script
Ciao,
        BB
EOT
fi
if [ ! -f usr/local/httpsd/htdocs/index.html ] ; then
	echo "installing example page..."
	cat << EOT > usr/local/httpsd/htdocs/index.html
<HTML>
<HEAD>
<TITLE>Apache HTTP/SSL Server - Beispielseite</TITLE>
</HEAD>
<BODY bgcolor=#ffffff>
<H1> Der Apache WWW Server </H1> <BR>
Diese Seite soll nur als Beispiel dienen.
Die <A HREF="./manual/">Dokumentation zum Server finden Sie hier</A>.
Dokumentation zu PHP3 ist <A HREF="file:/usr/doc/packages/apassl/php3/manual/manual.html">hier</A>.
<P>
Das S.u.S.E. Hilfesystem finden Sie (insofern installiert) hier: <A HREF="doc/susehilf/index.html">Deutsch</A>  <A HREF="doc/susehilf/index_e.html">Englisch</A>.
<P>
Weitere Infos zu Apache und SSL finden Sie unter den folgenden (nicht lokalen)
Hyperlinks: <BR>
<P align=center><IMG ALT="---" SRC="/gif/gl.gif">
<P align=center><A HREF="http://www.apache.org/"><IMG border=0 ALIGN=bottom ALT="Apache HTTP Server Project" SRC="/gif/apache_logo.gif"> </A>
<P align=center><A HREF="http://www.apache-ssl.org/"><IMG border=0 ALIGN=bottom ALT="Apache SSL" SRC="/gif/ApachSSL.gif"></A>
<P align=center><A HREF="http://www.apacheweek.com/"><IMG border="0" SRC="/gif/awlogo.gif" alt="Apache Week" > </A>
<P align=center><A HREF="http://www.suse.de/"><IMG border=0 ALIGN=bottom ALT="S.u.S.E. GmbH" SRC="/gif/suse_150.gif"></A>
<P>
<P align=center><IMG ALT="---" SRC="/gif/gl.gif">
<P align=center><IMG border="0" SRC="/gif/apache_pb.gif" alt="Powered by Apache" width="259" height="32">
</BODY>
</HTML>
EOT
fi
# ---------------------------------------------------------------------------
%description
This is the apache WWW server enhanced with SSL from Ben Laurie and
the DHTML language PHP3 for ADABAS D database access.

Authors:
--------
    Rob McCool <robm@netscape.com>
    Robert S. Thau <rst@ai.mit.edu>
    Roy T. Fielding <fielding@avron.ics.uci.edu>
    Brian Behlendorf <brian@wired.com>
    Harald Hanche-Olsen <hanche@imf.unit.no>
    David Robinson <kluft@amdahl.com>
    Wietse Venema <drtr@ast.cam.ac.uk>
    Keith Shafer <Keith.Shafer@SanDiegoCA.ATTGIS.COM>
    Kevin Steves <stevesk@mayfield.hp.com>
    Ben Laurie <ben@algroup.co.uk>


